> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2/the-option-to-continue-on-error.md).

# The option to continue on error

The option to continue on error allows you to execute the import even if one or more commands fail. You can turn on or off this option via the `continueOnError` parameter in your API call.

{% hint style="info" %}
Enabling both `continueOnError` and `simulation` in the same request is not supported.
{% endhint %}

## Disabling the option to continue on error

With the option disabled (`false`), the import job runs as one single transaction. If one of the import commands fails, the job is stopped and all previous commands are rolled back. In this case, you must address the failed command before retrying the import. If another command fails, you must repeat the process until all commands are successful.

For large payloads, this single-transaction approach can put a significant strain on the database. This may cause data synchronization delays, impact UI responsiveness, and lead to outdated information in reporting dashboards during the import. Prior to Collibra version 2026.07, this is the default behavior.

## Enabling the option to continue on error

With the option enabled (`true`), the import job uses smaller, incremental transactions. It skips commands that have validation errors and that failed to execute. The import continues until it has processed all commands or until it reaches a predetermined number of failed commands.

This approach optimizes how data is processed and alleviates resource strain on the database. It improves data synchronization speed, UI responsiveness, and provides near real-time updates for reporting. Starting with Collibra version 2026.07, this is the default behavior.

You can see the details of any skipped commands by [listing the import errors](/api/guides/working-with-the-import-api-v2/import-results/listing-import-errors.md). The threshold for the number of failed commands before an import job stops is initially 100. You can change the **Number of failed commands before stopping import job** import configuration setting in Collibra Console.

When your command contains multiple items, if one item fails the entire command is skipped. For example, if there are multiple relations in one command and one relation is invalid, none of the relations in that command are created.

{% hint style="warning" %}
When you enable the option to continue on error, already executed commands remain committed. However, because failed commands are skipped, you can have partial results being stored in Collibra or inconsistencies in data between Collibra and the external system.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2/the-option-to-continue-on-error.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
